Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# ID3Tag Class Reference

This class is specific to the mediaplayer apps. More...

`#include <id3tag.h>`

List of all member functions.

## Public Members

- ID3Tag ()
- bool read ( int fd )
- bool write ( int fd )
- QString toString ()
- const QCString & title () const
- const QCString & artist () const
- const QCString & album () const
- unsigned int year () const
- const QCString & comment () const
- unsigned int track () const
- void setTitle ( const QCString & s )
- void setArtist ( const QCString & s )
- void setAlbum ( const QCString & s )
- void setYear ( unsigned int y )
- void setComment ( const QCString & s )
- void setTrack ( unsigned int t )

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class reads and writes id3 tags from media file.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.